forrest-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From che...@apache.org
Subject cvs commit: xml-forrest/etc/cocoon_upgrade local.blocks.properties upgrade_cocoon_jars.sh
Date Wed, 11 Feb 2004 21:12:14 GMT
cheche      2004/02/11 13:12:14

  Modified:    etc/cocoon_upgrade local.blocks.properties
                        upgrade_cocoon_jars.sh
  Log:
  Update for cocoon 2.1.4
  
  Revision  Changes    Path
  1.8       +12 -8     xml-forrest/etc/cocoon_upgrade/local.blocks.properties
  
  Index: local.blocks.properties
  ===================================================================
  RCS file: /home/cvs/xml-forrest/etc/cocoon_upgrade/local.blocks.properties,v
  retrieving revision 1.7
  retrieving revision 1.8
  diff -u -r1.7 -r1.8
  --- local.blocks.properties	15 Jan 2004 21:52:25 -0000	1.7
  +++ local.blocks.properties	11 Feb 2004 21:12:14 -0000	1.8
  @@ -1,3 +1,4 @@
  +
   #------------------------------------------------------------------------------#
   #                             Cocoon Blocks                                    #
   #------------------------------------------------------------------------------#
  @@ -22,13 +23,13 @@
   # can depend on.
   
   #-----[dependency]: "authentication-fw" depends on "session-fw".
  -#-----[dependency]: "authentication-fw" is needed by "portal", "portal-fw", "slide".
  +#-----[dependency]: "authentication-fw" is needed by "portal", "portal-fw".
   exclude.block.authentication-fw=true
   #-----[dependency]: "batik" is needed by "fop", "scratchpad".
   #exclude.block.batik=true
   exclude.block.bsf=true
   #exclude.block.chaperon=true
  -#-----[dependency]: "databases" is needed by "hsqldb", "jms", "petstore", "repository",
"xmldb".
  +#-----[dependency]: "databases" is needed by "hsqldb", "jms", "ojb", "petstore", "repository",
"xmldb".
   exclude.block.databases=true
   #-----[dependency]: "fop" depends on "batik".
   #exclude.block.fop=true
  @@ -42,8 +43,9 @@
   exclude.block.jsp=true
   exclude.block.jxforms=true
   #exclude.block.linkrewriter=true
  -exclude.block.lucene=true
  +#exclude.block.lucene=true
   exclude.block.naming=true
  +exclude.block.paranoid=true
   exclude.block.php=true
   exclude.block.poi=true
   #-----[dependency]: "portal-fw" depends on "authentication-fw", "session-fw".
  @@ -69,6 +71,7 @@
   # its development as things might change over time before they are marked
   # stable.
   
  +#-----[dependency]: "apples" depends on "woody".
   exclude.block.apples=true
   #-----[dependency]: "asciiart" is needed by "mail".
   #exclude.block.asciiart=true
  @@ -76,15 +79,16 @@
   #-----[dependency]: "cron" is needed by "scratchpad".
   exclude.block.cron=true
   exclude.block.deli=true
  -#-----[dependency]: "eventcache" is needed by "jms", "repository".
  +#-----[dependency]: "eventcache" is needed by "jms", "repository", "slide".
   exclude.block.eventcache=true
   #-----[dependency]: "jms" depends on "databases", "eventcache", "hsqldb".
  +#-----[dependency]: "jms" is needed by "slide".
   exclude.block.jms=true
  -#exclude.block.linotype=true
  +exclude.block.linotype=true
   #-----[dependency]: "mail" depends on "asciiart".
   exclude.block.mail=true
   exclude.block.midi=true
  -#-----[warning]: Before including the "ojb" block, see: http://wiki.cocoondev.org/Wiki.jsp?page=OJBBlock
  +#-----[dependency]: "ojb" depends on "databases".
   exclude.block.ojb=true
   #-----[dependency]: "petstore" depends on "databases", "hsqldb", "velocity", "woody".
   exclude.block.petstore=true
  @@ -98,14 +102,14 @@
   exclude.block.repository=true
   #-----[dependency]: "scratchpad" depends on "batik", "cron", "velocity".
   exclude.block.scratchpad=true
  -#-----[dependency]: "slide" depends on "authentication-fw", "repository".
  +#-----[dependency]: "slide" depends on "eventcache", "jms", "repository".
   exclude.block.slide=true
   exclude.block.slop=true
   exclude.block.stx=true
   exclude.block.taglib=true
   #-----[dependency]: "webdav" depends on "repository".
   exclude.block.webdav=true
  -#-----[dependency]: "woody" is needed by "petstore".
  +#-----[dependency]: "woody" is needed by "apples", "petstore".
   exclude.block.woody=true
   
   # Deprecated blocks ------------------------------------------------------------
  
  
  
  1.29      +3 -3      xml-forrest/etc/cocoon_upgrade/upgrade_cocoon_jars.sh
  
  Index: upgrade_cocoon_jars.sh
  ===================================================================
  RCS file: /home/cvs/xml-forrest/etc/cocoon_upgrade/upgrade_cocoon_jars.sh,v
  retrieving revision 1.28
  retrieving revision 1.29
  diff -u -r1.28 -r1.29
  --- upgrade_cocoon_jars.sh	16 Jan 2004 00:10:42 -0000	1.28
  +++ upgrade_cocoon_jars.sh	11 Feb 2004 21:12:14 -0000	1.29
  @@ -7,7 +7,7 @@
   #
   BASE=$PWD/`dirname $0`
   ## MUST BE OVERRIDDEN:
  -COCOON_VERSION=2.1.3
  +COCOON_VERSION=2.1.4-dev
   COCOON_HOME=$BASE/../../../cocoon-2.1
   FORREST=$BASE/../..
   NEKODTD_VERSION=0.1.9
  @@ -17,7 +17,7 @@
   
   ## CAN be overridden:
   #JARSUFFIX=`date +%Y%m%d`
  -JARSUFFIX=2.1.3
  +JARSUFFIX=$COCOON_VERSION
   
   ## We need to identify the old Cocoon jar amongst all the others.  This pattern
   ## identifies it.  By default, we assume a date (see $JARSUFFIX) was used
  @@ -31,7 +31,7 @@
   ##   in CVS.  Should only be performed by Forrest committers
   #
   UPGRADE_TYPE=testing
  -#PGRADE_TYPE=real
  +#UPGRADE_TYPE=real
   #UPGRADE_TYPE=real_with_cvs
   #
   ######################################################################
  
  
  

Mime
View raw message